<?php
/*
Plugin Name: WP-CRM System Organization Details in Task
Plugin URI: https://www.wp-crm.com
Description: A quick display of organization details in tasks
Version: 1.0
Author: Scott DeLuzio
Author URI: https://www.wp-crm.com
*/

function extend_your_plugin() {
    add_meta_box( 'wpcrm_custom_meta', __( 'Organization Contact Info', 'wp-crm-systemtest-extend' ), 'wpcrmCustomMeta',  'wpcrm-task', 'side', 'low' );
}
add_action( 'wpcrm_system_custom_meta_boxes', 'extend_your_plugin' );
function wpcrmCustomMeta() {

  $org_id = get_post_meta( get_the_id(), '_wpcrm_task-attach-to-organization', true );
  $org = array();
  $org[ 'phone' ] = 'Phone: ' . get_post_meta( $org_id, '_wpcrm_organization-phone', true );
  $org[ 'address1' ] = get_post_meta( $org_id, '_wpcrm_organization-address1', true );
  $org[ 'address2' ] = get_post_meta( $org_id, '_wpcrm_organization-address2', true );
  $org[ 'city' ] = get_post_meta( $org_id, '_wpcrm_organization-city', true );
  $org[ 'state' ] = get_post_meta( $org_id, '_wpcrm_organization-state', true );
  $org[ 'postal' ] = get_post_meta( $org_id, '_wpcrm_organization-postal', true );
  $org[ 'email' ] = get_post_meta( $org_id, '_wpcrm_organization-email', true );

  $contact_id = get_post_meta( get_the_id(), '_wpcrm_task-attach-to-contact', true );
  $contact = array();
  $contact[ 'phone' ] = 'Phone: ' . get_post_meta( $contact_id, '_wpcrm_contact-phone', true );
  $contact[ 'mobile' ] = 'Mobile: ' . get_post_meta( $contact_id, '_wpcrm_contact-mobile', true );
  $contact[ 'mobile' ] = 'Fax: ' . get_post_meta( $contact_id, '_wpcrm_contact-mobile', true );
  $contact[ 'address1' ] = get_post_meta( $contact_id, '_wpcrm_contact-address1', true );
  $contact[ 'address2' ] = get_post_meta( $contact_id, '_wpcrm_contact-address2', true );
  $contact[ 'city' ] = get_post_meta( $contact_id, '_wpcrm_contact-city', true );
  $contact[ 'state' ] = get_post_meta( $contact_id, '_wpcrm_contact-state', true );
  $contact[ 'postal' ] = get_post_meta( $contact_id, '_wpcrm_contact-postal', true );
  $contact[ 'email' ] = get_post_meta( $contact_id, '_wpcrm_contact-email', true );

  if ( $org ){
    echo '<strong>Organization Contact Informaion</strong><br />';
    foreach ( $org as $detail ){
      echo $detail . '<br />';
    }
  }
  if ( $contact ){
    echo '<strong>Contact Informaion</strong><br />';
    foreach ( $contact as $detail ){
      echo $detail . '<br />';
    }
  }
}